--- /home/shido/asterisk/channels/chan_mgcp.c	2004-02-04 11:36:57.000000000 -0500
+++ /home/shido/chan_mgcp.c	2004-03-25 18:23:36.000000000 -0500
@@ -167,7 +167,7 @@
 
 /* This is the thread for the monitor which checks for input on the channels
    which are not currently in use.  */
-static pthread_t monitor_thread = 0;
+static pthread_t monitor_thread = AST_PTHREADT_NULL;
 
 static int restart_monitor(void);
 
@@ -1364,7 +1364,8 @@
 		return -1;
 	}
 	req->header[req->headers] = req->data + req->len;
-	snprintf(req->header[req->headers], sizeof(req->data) - req->len, "%s %d %s@%s MGCP 1.0\r\n", verb, oseq, p->name, p->parent->name);
+/*	snprintf(req->header[req->headers], sizeof(req->data) - req->len, "%s %d %s@%s MGCP 1.0\r\n", verb, oseq, p->name, p->parent->name); */
+        snprintf(req->header[req->headers], sizeof(req->data) - req->len, "%s %d %s@%s MGCP 1.0 NCS 1.0\r\n", verb, oseq, p->name, p->parent->name);
 	req->len += strlen(req->header[req->headers]);
 	if (req->headers < MGCP_MAX_HEADERS)
 		req->headers++;
@@ -1567,7 +1568,8 @@
             add_header(&resp, "R", "hd(N)");
             break;
         case MGCP_OFFHOOK:
-            add_header(&resp, "R", "hu(N), hf(N), D/[0-9#*](N)");
+/*            add_header(&resp, "R", "hu(N), hf(N), D/[0-9#*](N)"); */
+              add_header(&resp, "R", "hu(N), hf(N), [0-9#*T]");
             break;
     }
     if (strlen(tone)) {
@@ -1618,7 +1620,9 @@
             add_header(&resp, "R", "L/hd(N)");
             break;
         case MGCP_OFFHOOK:
-            add_header(&resp, "R", "L/hu(N),L/hf(N),D/[0-9#*](N)");
+/*       add_header(&resp, "R", "L/hu(N), L/hf(N), D/[0-9#*](N)"); */
+            add_header(&resp, "R", "L/hu(N), L/hf(N), [0-9#*T]");
+
             break;
     }
     if (strlen(tone2)) {
@@ -1654,7 +1658,8 @@
             add_header(&resp, "R", "L/hd(N)");
             break;
         case MGCP_OFFHOOK:
-            add_header(&resp, "R", "L/hu(N),L/hf(N),D/[0-9#*](N)");
+/*       add_header(&resp, "R", "L/hu(N),L/hf(N),D/[0-9#*](N)"); */
+            add_header(&resp, "R", "L/hu(N),L/hf(N),[0-9#*T]");
             break;
     }
 	return send_request(sub, &resp, oseq);
@@ -2558,7 +2563,7 @@
         pthread_attr_setdetachstate(&attr, PTHREAD_CREATE_DETACHED);	
 
 	/* If we're supposed to be stopped -- stay stopped */
-	if (monitor_thread == (pthread_t) -2)
+	if (monitor_thread == AST_PTHREADT_STOP)
 		return 0;
 	if (ast_mutex_lock(&monlock)) {
 		ast_log(LOG_WARNING, "Unable to lock monitor\n");
@@ -2569,7 +2574,7 @@
 		ast_log(LOG_WARNING, "Cannot kill myself\n");
 		return -1;
 	}
-	if (monitor_thread) {
+	if (monitor_thread != AST_PTHREADT_NULL) {
 		/* Wake up the thread */
 		pthread_kill(monitor_thread, SIGURG);
 	} else {
@@ -3052,12 +3057,12 @@
 		return -1;
 	}
 	if (!ast_mutex_lock(&monlock)) {
-		if (monitor_thread && (monitor_thread != -2)) {
+		if (monitor_thread && (monitor_thread != AST_PTHREADT_STOP)) {
 			pthread_cancel(monitor_thread);
 			pthread_kill(monitor_thread, SIGURG);
 			pthread_join(monitor_thread, NULL);
 		}
-		monitor_thread = -2;
+		monitor_thread = AST_PTHREADT_STOP;
 		ast_mutex_unlock(&monlock);
 	} else {
 		ast_log(LOG_WARNING, "Unable to lock the monitor\n");
